#pragma once
#include "uefi.h"

void  kfree_init(uint64_t base, uint64_t size);
void *kmalloc(uint64_t size);
void *kcalloc(uint64_t count, uint64_t size);
void *krealloc(void *ptr, uint64_t old_size, uint64_t new_size);
void  kfree(void *ptr);
uint64_t kheap_used(void);
